# skbio.diversity.alpha.pielou_e

`skbio.diversity.alpha.``pielou_e`(counts)

  Calculate Pielou’s Evenness index J’.

  State: Experimental as of 0.4.1.

  Pielou’s Evenness is defined as:

  \[J' = \frac{(H)}{\ln(S)}\]

  where \(H\) is the Shannon-Wiener entropy of counts and \(S\) is the number of OTUs in the sample.

  Parameters:

  counts : 1-D array_like, int

  > Vector of counts.

  Returns:

  double

  > Pielou’s Evenness.

  See also

  `shannon`, `heip_e`

  Notes

  The implementation here is based on the description in Wikipedia [R42]. It was first proposed by E. C. Pielou [R43] and is similar to Heip’s evenness [R44].

  References

  [R42] | (1, 2) https://en.wikipedia.org/wiki/Species_evenness

  [R43] | (1, 2) Pielou, E. C., 1966. The measurement of diversity in different types of biological collections. Journal of Theoretical Biology, 13, 131-44.

  [R44] | (1, 2) Heip, C. 1974. A new index measuring evenness. J. Mar. Biol. Ass. UK., 54, 555-557.